Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.feedhenry.sdk.sync
Interface FHSyncListener

    public interface FHSyncListener

Implement the listener interface to monitor events invoked by the sync framework.

Method Summary
`void` | `onClientStorageFailed(NotificationMessage pMessage)` Invoked when a client storage failed event is emitted.
`void` | `onCollisionDetected(NotificationMessage pMessage)` Invoked when a collision event is emitted.
`void` | `onDeltaReceived(NotificationMessage pMessage)` Invoked when a delta received event is emitted.
`void` | `onLocalUpdateApplied(NotificationMessage pMessage)` Invoked when a local update applied event is emitted.
`void` | `onRemoteUpdateApplied(NotificationMessage pMessage)` Invoked when a remote update event is emitted.
`void` | `onRemoteUpdateFailed(NotificationMessage pMessage)` Invoked when a remote update failed event is emitted.
`void` | `onSyncCompleted(NotificationMessage pMessage)` Invoked when a sync loop complete event is emitted
`void` | `onSyncFailed(NotificationMessage pMessage)` Invoked when a sync failed event is emitted.
`void` | `onSyncStarted(NotificationMessage pMessage)` Invoked when a sync loop start event is emitted
`void` | `onUpdateOffline(NotificationMessage pMessage)` Invoked when a offline update event is emitted.

Method Detail

### onSyncStarted

    void onSyncStarted(NotificationMessage pMessage)

  Invoked when a sync loop start event is emitted

  Parameters:
    `pMessage` - The message

### onSyncCompleted

    void onSyncCompleted(NotificationMessage pMessage)

  Invoked when a sync loop complete event is emitted

  Parameters:
    `pMessage` - The message

### onUpdateOffline

    void onUpdateOffline(NotificationMessage pMessage)

  Invoked when a offline update event is emitted.

  Parameters:
    `pMessage` - The message

### onCollisionDetected

    void onCollisionDetected(NotificationMessage pMessage)

  Invoked when a collision event is emitted.

  Parameters:
    `pMessage` - The message

### onRemoteUpdateFailed

    void onRemoteUpdateFailed(NotificationMessage pMessage)

  Invoked when a remote update failed event is emitted.

  Parameters:
    `pMessage` - The message

### onRemoteUpdateApplied

    void onRemoteUpdateApplied(NotificationMessage pMessage)

  Invoked when a remote update event is emitted.

  Parameters:
    `pMessage` - The message

### onLocalUpdateApplied

    void onLocalUpdateApplied(NotificationMessage pMessage)

  Invoked when a local update applied event is emitted.

  Parameters:
    `pMessage` - The message

### onDeltaReceived

    void onDeltaReceived(NotificationMessage pMessage)

  Invoked when a delta received event is emitted.

  Parameters:
    `pMessage` - The message

### onSyncFailed

    void onSyncFailed(NotificationMessage pMessage)

  Invoked when a sync failed event is emitted.

  Parameters:
    `pMessage` - The message

### onClientStorageFailed

    void onClientStorageFailed(NotificationMessage pMessage)

  Invoked when a client storage failed event is emitted.

  Parameters:
    `pMessage` - The message

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD